Bug 1287820 - Review Request: acd_cli - A command line interface and FUSE filesystem for Amazon Cloud Drive
Review Request: acd_cli - A command line interface and FUSE filesystem for A...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dulaney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 13:42 EST by Matthew Miller
Modified: 2016-03-12 13:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 13:59:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdulaney: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2015-12-02 13:42:49 EST
Spec URL: https://mattdm.fedorapeople.org/acd_cli.spec
SRPM URL: https://mattdm.fedorapeople.org/acd_cli-0.3.1-1.fc23.mattdm.src.rpm
Description: acd_cli provides a command line interface to Amazon Cloud Drive and allows mounting your cloud drive using FUSE for read and write access.
Fedora Account System Username: mattdm
Comment 1 John Dulaney 2015-12-04 14:31:16 EST
Looks good here.

rpmlint output:

Checking: acd_cli-0.3.1-1.fc23.noarch.rpm
          acd_cli-0.3.1-1.fc23.src.rpm
acd_cli.noarch: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
acd_cli.noarch: W: spelling-error %description -l en_US acd -> cad, ac, ad
acd_cli.noarch: W: spelling-error %description -l en_US cli -> cl, clii, clip
acd_cli.noarch: W: no-manual-page-for-binary acdcli
acd_cli.noarch: W: no-manual-page-for-binary acd_cli
acd_cli.src: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
acd_cli.src: W: spelling-error %description -l en_US acd -> cad, ac, ad
acd_cli.src: W: spelling-error %description -l en_US cli -> cl, clii, clip
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



fedora-review didn't see anything, manual review looks good.


This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "ISC", "GPL (v2 or later)", "Unknown or generated". 54 files
     have unknown license. Detailed output of licensecheck in
     /home/jdulaney/rpmbuild/review-acd_cli/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: acd_cli-0.3.1-1.fc23.noarch.rpm
          acd_cli-0.3.1-1.fc23.src.rpm
acd_cli.noarch: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
acd_cli.noarch: W: spelling-error %description -l en_US acd -> cad, ac, ad
acd_cli.noarch: W: spelling-error %description -l en_US cli -> cl, clii, clip
acd_cli.noarch: W: no-manual-page-for-binary acdcli
acd_cli.noarch: W: no-manual-page-for-binary acd_cli
acd_cli.src: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
acd_cli.src: W: spelling-error %description -l en_US acd -> cad, ac, ad
acd_cli.src: W: spelling-error %description -l en_US cli -> cl, clii, clip
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
acd_cli.noarch: W: no-manual-page-for-binary acd_cli
acd_cli.noarch: W: no-manual-page-for-binary acdcli
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
acd_cli (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-appdirs
    python3-colorama
    python3-requests
    python3-sqlalchemy



Provides
--------
acd_cli:
    acd_cli



Source checksums
----------------
https://github.com/yadayada/acd_cli/archive/0.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2d4f68e9345174b4d5b292bcf69aadc36914ddd49eeb9eb7b798b240d00884ed
  CHECKSUM(SHA256) upstream package : 2d4f68e9345174b4d5b292bcf69aadc36914ddd49eeb9eb7b798b240d00884ed


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n acd_cli
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Till Maas 2015-12-06 15:58:16 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/acd_cli
Comment 3 John Dulaney 2016-03-12 13:59:27 EST
Closing as this is in Fedora.

Note You need to log in before you can comment on or make changes to this bug.